"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useIsMounted;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** Returns a boolean indicating whether the component is currently mounted. Useful for server side rendering.

```js
const isMounted = useIsMounted();
```
*/
function useIsMounted() {
  var _React$useState = _react["default"].useState(false),
      isMounted = _React$useState[0],
      setIsMounted = _React$useState[1];

  _react["default"].useEffect(function () {
    return setIsMounted(true);
  }, []);

  return isMounted;
}