"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useToggle;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var cb = _react["default"].useCallback;
/** Returns a boolean flag (`value`) and functions for updating it.

```js
const [value, toggle, activate, deactivate] = useToggle();
```
*/

function useToggle() {
  var initialValue = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

  var _React$useState = _react["default"].useState(initialValue),
      value = _React$useState[0],
      setValue = _React$useState[1];

  var toggle = cb(function () {
    return setValue(function (a) {
      return !a;
    });
  });
  var activate = cb(function () {
    return setValue(true);
  });
  var deactivate = cb(function () {
    return setValue(false);
  });
  return [value, toggle, activate, deactivate];
}